> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.rhombus.community/llms.txt
> Use this file to discover all available pages before exploring further.

# Get proximity tag locations by date

> Get proximity tag locations by date



## OpenAPI

````yaml https://api2.rhombussystems.com/api/openapi/public.json post /api/report/getProximityTagLocationsByDate
openapi: 3.0.1
info:
  contact:
    email: developer@rhombussystems.com
  description: >-
    This API is for use by Rhombus customers and partners.


    ## Authentication


    All requests require two headers:

    - `x-auth-scheme` — The authentication scheme identifier. Use `api-token`
    for standard API key auth, or `partner-api-token` for partner API auth.

    - `x-auth-apikey` — Your Rhombus API key.


    Example:

    ```

    POST /api/camera/getMinimalCameraStateList

    x-auth-scheme: api-token

    x-auth-apikey: YOUR_API_KEY

    Content-Type: application/json

    ```
  title: Rhombus API
  version: '1.0'
servers:
  - description: Production Server
    url: https://api2.rhombussystems.com
security:
  - ApiKeyAuth: []
paths:
  /api/report/getProximityTagLocationsByDate:
    post:
      tags:
        - Report Webservice
      summary: Get proximity tag locations by date
      description: Get proximity tag locations by date
      operationId: getProximityTagLocationsByDate
      parameters:
        - description: >-
            Authentication scheme identifier. Use `api-token` for standard API
            key authentication, `partner-api-token` for partner API key
            authentication. Must be paired with the `x-auth-apikey` header
            containing your API key.
          example: api-token
          in: header
          name: x-auth-scheme
          required: true
          schema:
            type: string
            default: api-token
            enum:
              - api-token
              - api
              - partner-api-token
              - partner-api
      requestBody:
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/Report_GetProximityTagLocationsByDateWSRequest
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Report_GetProximityTagLocationsByDateWSResponse
          description: OK
components:
  schemas:
    Report_GetProximityTagLocationsByDateWSRequest:
      type: object
      description: Request object for getting proximity tag locations by date.
      properties:
        endDateStr:
          type: string
          deprecated: true
          description: Deprecated input, use endTimeMs instead
          nullable: true
        endTimeMs:
          type: integer
          format: int64
          description: End datetime provided as a UNIX timestamp in milliseconds
          minimum: 0
          nullable: true
        startDateStr:
          type: string
          deprecated: true
          description: Deprecated input, use startTimeMs instead
          nullable: true
        startTimeMs:
          type: integer
          format: int64
          description: Start datetime provided as a UNIX timestamp in milliseconds
          minimum: 0
          nullable: true
        tagUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
      required:
        - tagUuid
    Report_GetProximityTagLocationsByDateWSResponse:
      type: object
      description: Response object for getting proximity tag locations by date.
      properties:
        dataPoints:
          type: array
          description: List of proximity tag time series data points
          items:
            $ref: '#/components/schemas/ProximityTagTimeSeriesDataPointType'
          nullable: true
        error:
          type: boolean
          nullable: true
        errorMsg:
          type: string
          nullable: true
        warningMsg:
          type: string
          nullable: true
    ProximityTagTimeSeriesDataPointType:
      type: object
      description: List of proximity tag time series data points
      properties:
        dateLocal:
          type: string
          nullable: true
        tagUuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
        uuid:
          type: string
          format: RUUID
          description: base 64 (url-safe) uuid string
          example: AAAAAAAAAAAAAAAAAAAAAA
          nullable: true
  securitySchemes:
    ApiKeyAuth:
      description: >-
        Your Rhombus API key. Must be accompanied by the `x-auth-scheme` header
        set to `api-token` (or `partner-api-token` for partner endpoints).
      in: header
      name: x-auth-apikey
      type: apiKey

````